EDIT - feature request #5177

improve perfomance of TransmissionEngineDistribution
09/01/2015 12:21 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.2

Severity: normal

Description

improve perfomance of TransmissionEngineDistribution

Related issues:
Related to EDIT - bug #8312: Test, fix, improve and run Transmission engine f... Closed

History

#1 - 09/01/2015 12:22 PM - Andreas Kohlbecker

- Keywords set to TransmissionEngineDistribution
#2 - 09/01/2015 01:00 PM - Andreas Kohlbecker
Duration of the test in TransmissionEngineDistributionTest run on my T400:
e eu.etaxonomy.cdm.api.service. TransmissionEngineDistributionTest 66.661s
o testArea_rank_and_area 62.322s - this duration includes the test setup!
o test_ignore 1.743s

o testPriorities 0.31s
o testArea_area 2.286s

#3 - 09/01/2015 03:02 PM - Andreas Kohlbecker

b63ae2e out-commented code snipped to enable sqgl logging for performance debugging

#4 - 09/11/2015 01:57 PM - Andreas Kohlbecker

- Target version deleted (Release 3.8)

moving unresolved tickets to next milestone after release of 3.8.0

#5 - 09/29/2015 02:41 PM - Andreas Kohlbecker
all commits currently only in local branch TransmissionEngine-speedup:

® 79c867e fixing bugs related to the rank intervall in the TransmissionEngineDistribution

2c8c504 solving multiple problems in TransmissionEngine - avoiding LIE by fetching the parentAreas for each batch - skipping taxa not in
specified rank interval

215306d performance improvement - avoiding cast - avoiding sorting the list of taxa

830f3fa performance logging

7536e61 attempt to reduce the overhead imposed by database access

74027ad bug fixes regarding performance measuring
¢ 32e1615 more detailed measuring time of accumulation in TransmissionEngineDistribution for performance testing

¢ cece48b measuring time of accumulation in TransmissionEngineDistribution for performance testing

#6 - 09/29/2015 02:44 PM - Andreas Kohlbecker
- Status changed from New to In Progress

#7 - 12/18/2015 12:23 PM - Andreas Miiller
- Target version deleted (Release 3.12)

#8 - 05/02/2016 03:12 PM - Andreas Miiller

- Target version changed from Release 4.0 to Release 4.1

#9 - 06/01/2016 01:23 PM - Andreas Miiller

- Target version changed from Release 4.1 to Release 4.2

#10 - 06/29/2016 04:05 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed
- Resolution set to fixed

- % Done set to 100
local branch TransmissionEngine-speedup rebased on develop

#11 - 05/10/2017 01:39 PM - Andreas Kohlbecker

- Private changed from Yes to No

#12 - 05/28/2019 02:42 PM - Andreas Miiller

- Related to bug #8312: Test, fix, improve and run Transmission engine for E+M added
